# Uses of Class
org.jboss.logmanager.Logger

Packages that use Logger
Package
Description
org.jboss.logmanager

## Uses of Logger in org.jboss.logmanager

Methods in org.jboss.logmanager that return Logger
Modifier and Type
Method
Description
`Logger`
LogContext.`getLogger(String name)`
Get a logger with the given name from this logging context.
`static Logger`
Logger.`getLogger(String name)`
Static logger factory method which returns a JBoss LogManager logger.
`static Logger`
Logger.`getLogger(String name, String bundleName)`
Static logger factory method which returns a JBoss LogManager logger.
`Logger`
LogManager.`getLogger(String name)`
Get or create a logger with the given name.
`Logger`
LogContext.`getLoggerIfExists(String name)`
Get a logger with the given name from this logging context, if a logger node exists at that location.
`Logger`
Logger.`getParent()`
Constructors in org.jboss.logmanager with parameters of type Logger
Modifier
Constructor
Description
``
`LoggingUncaughtExceptionHandler(Logger log)`
Create a new instance.